/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.model;

import java.io.Serializable;

/**
 *
 * @author Imam Bhoim
 */
public class SusunKonsolidasi implements Serializable {
     int header_data_id;
    int tahun;
    int jenis_laporan_id;
    String nama_jenis_laporan;
    
    int lingkup_id;
    String nama_lingkup;
    int jml_pemda;
    int level;
    int status_eliminasi;
    int status_proses;
    int idbas;
    String namabas;
    
    

    public int getHeader_data_id() {
        return header_data_id;
    }

    public void setHeader_data_id(int header_data_id) {
        this.header_data_id = header_data_id;
    }

    public int getTahun() {
        return tahun;
    }

    public void setTahun(int tahun) {
        this.tahun = tahun;
    }

    public int getJenis_laporan_id() {
        return jenis_laporan_id;
    }

    public void setJenis_laporan_id(int jenis_laporan_id) {
        this.jenis_laporan_id = jenis_laporan_id;
    }

    public String getNama_jenis_laporan() {
        return nama_jenis_laporan;
    }

    public void setNama_jenis_laporan(String nama_jenis_laporan) {
        this.nama_jenis_laporan = nama_jenis_laporan;
    }

    public int getLingkup_id() {
        return lingkup_id;
    }

    public void setLingkup_id(int lingkup_id) {
        this.lingkup_id = lingkup_id;
    }

    public String getNama_lingkup() {
        return nama_lingkup;
    }

    public void setNama_lingkup(String nama_lingkup) {
        this.nama_lingkup = nama_lingkup;
    }

    public int getJml_pemda() {
        return jml_pemda;
    }

    public void setJml_pemda(int jml_pemda) {
        this.jml_pemda = jml_pemda;
    }

    public int getLevel() {
        return level;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public int getStatus_eliminasi() {
        return status_eliminasi;
    }

    public void setStatus_eliminasi(int status_eliminasi) {
        this.status_eliminasi = status_eliminasi;
    }

    public int getStatus_proses() {
        return status_proses;
    }

    public void setStatus_proses(int status_proses) {
        this.status_proses = status_proses;
    }

    public int getIdbas() {
        return idbas;
    }

    public void setIdbas(int idbas) {
        this.idbas = idbas;
    }

    public String getNamabas() {
        return namabas;
    }

    public void setNamabas(String namabas) {
        this.namabas = namabas;
    }
    
     public boolean statusEliminasi(){
        if (this.status_eliminasi==1) {
            return true;
        } else {
            return false;
        }

    }
      
       public String statusProses(){
        if (this.status_proses==1) {
            return "Proses";
        } else {
            return "Belum Konsolidasi";
        }
    }
        
        public boolean statusPlay(int idjns) {
        if (idjns == 1 || idjns == 2 || idjns == 3 ){
            return true;
        } else {
            return false;
        }

    }
    
}
